// DOMの準備後に実行する内容
$(function() {
	// ［実行］ボタンを押した時の処理を設定
	$("#execButton").click(function() {
		// 重量と個数の変数を初期化
		var count = 0;	// 個数
		var weight = 0;	// 重量

		// jQueryの「each()」関数を使って各チェックボックスを処理
		$("input[type='checkbox']").each(function() {
			// チェックボックスがチェックされているか確認
			if ($(this).prop("checked")) {
				// チェックされているならば、個数を増やして重量を加算する
				count += 1;
				weight += $(this).val() * 1;
			}
		});

		// 表示の分岐
		if (weight >= 5 && count >= 2) {
			$("#output").text("5kg以上 2個以上なので送料は360円です。");
		} else {
			$("#output").text("送料は無料です。");
		}
	});
});
