// DOMの準備後に実行する内容
$(function() {
	// 時間の取得
	var d = new Date();
	var h = d.getHours();

	// 読み込む画像ファイルの名前用変数
	var fileName = "";

	// 時間による分岐
	if (0 <= h && h < 7) {
		fileName = "night.png";		// 夜  0～ 6時 night.png
	} else if (7 <= h && h < 12) {
		fileName = "morning.png";	// 朝  7～11時 morning.png
	} else if (12 <= h && h < 19) {
		fileName = "daytime.png";	// 昼 12～18時 daytime.png
	} else if (19 <= h && h < 24) {
		fileName = "night.png";		// 夜 19～23時 night.png
	}

	// img要素の作成
	var img = $("<img>");
	img.attr("src", "img/" + fileName);

	// img要素の表示
	$("#timeBg").append(img);
});
