// DOMの準備後に実行する内容
$(function() {
	// ［実行］ボタンを押した時の処理を設定
	$("#execButton").click(function() {
		// 文字列を取得
		var text = $("#userText").val();

		// マークダウン記法変換
		text = markdown(text);

		// 文字列を出力
		$("#output").val(text);

		// プレビューを表示
		$("#output2").html(text);

		// マークダウン記法変換関数（簡易）
		function markdown(argText) {
			// 強調
			argText = argText.replace(/\*(.+?)\*/g, "<b>$1</b>");

			// タイトル
			argText = argText.replace(/^## *(.+?)$/gm, "<h2>$1</h2>");
			argText = argText.replace(/^# *(.+?)$/gm, "<h1>$1</h1>");

			// 改行
			argText = argText.replace(/\n/g, "<br>\n")

			// 戻り値を戻して終了
			return argText;
		}
	});
});
