// DOMの準備後に実行する内容
$(function() {
	var w = 640;
	var h = 480;
	var canvas = $('<canvas width="' + w + '" height="' + h + '">').get(0);
	if (canvas.getContext) {
		var context = canvas.getContext("2d");

		// 背景描画
		context.fillStyle = "#ffc";
		context.fillRect(0, 0, w, h);

		// 基準線描画
		context.fillStyle = "#000";
		context.fillRect(0, (h - 3) / 2, w, 3);
		context.fillRect((w - 3) / 2, 0, 3, h);
		context.fillRect(w / 2, h / 2 - 4, w / 2, 8);

		// 線描画の設定
		context.lineWidth = 12;

		// 円弧を描く（時計回り、赤線）
		context.strokeStyle = "#f00";
		context.beginPath();
		context.arc(w / 2, h / 2, h * 0.4, 0, Math.PI * 0.75, false);
		context.stroke();

		// 円弧を描く（反時計回り、青線）
		context.strokeStyle = "#00f";
		context.beginPath();
		context.arc(w / 2, h / 2, h * 0.45, 0, Math.PI * 0.75, true);
		context.stroke();

		// bodyに追加
		$("body").append(canvas);
	}
/*%_skip_start_%*/
	$(canvas).click(function() {
		window.open(this.toDataURL(), "_blank")
	});
/*%_skip_end_%*/
});
