// DOMの準備後に実行する内容
$(function() {
	// 変数の初期化
	var w = 640;
	var h = 480;

	// Canvasを作成
	var canvas = $("<canvas>")
		.attr("width", w).attr("height", h).get(0);
	if (! canvas || ! canvas.getContext) return;
	var context = canvas.getContext("2d");

	// 背景の描画
	context.fillStyle = "#ffffcc";	// 線の色
	context.fillRect(0, 0, w, h);	// 矩形塗りつぶし

	// 表示
	$("body").append(canvas);
});
