// DOMの準備後に実行する内容
$(function() {
	try {
		// Audioの作成
		var audio = new Audio("");

		// 使用可能なファイル形式の判定
		var ext = null;
		if      (audio.canPlayType("audio/ogg") == "maybe") {ext = "ogg";}
		else if (audio.canPlayType("audio/mp3") == "maybe") {ext = "mp3";}
		else if (audio.canPlayType("audio/wav") == "maybe") {ext = "wav";}

		// 再生可能になったら実行する関数を登録
		audio.addEventListener("canplaythrough", function() { 
			audio.play();
		});

		// ファイルを読み込む
		audio.src = "sound/test." + ext;
	} catch(e) {
		console.log(e);
	}
});
