// DOMの準備後に実行する内容
$(function() {
	// 画像を読み込み
	var imgObj = new Image();
	imgObj.onload = finishLoad;
	imgObj.src = "img/img.jpg";

	// 読み込み後処理
	function finishLoad() {
		// 変数の初期化
		var w = imgObj.width;
		var h = imgObj.height;

		// Canvasを作成
		var canvas = $("<canvas>")
			.attr("width", w).attr("height", h).get(0);
		if (! canvas || ! canvas.getContext) return;
		var context = canvas.getContext("2d");

		// 画像の描画
		context.drawImage(imgObj,
			w / 2, 0, w / 8, h,
			0, 0, w, h);

		// 表示
		$("body").append(canvas);
	}
});
