// DOMの準備後に実行する内容
$(function() {
	// ［表示サイズ取得］ボタンを押した時の処理を設定
	$("#execButton").click(function() {
		// Webページのサイズを取得
		var w = $(window).width();	// ウィンドウの横幅を取得
		var h = $(window).height();	// ウィンドウの高さを取得

		// ボックスのサイズを計算
		var wBox = Math.floor(w / 5);	// 横幅
		var hBox = Math.floor(h / 5);	// 高さ

		// フォントのサイズを計算
		var fontSize = Math.floor(Math.min(w, h) / 20);

		// 新しい要素を作成して追加
		$("<div>")	// div要素を作成
			.attr("class", "box")	// class属性に「box」を設定
			.css("font-size", fontSize)	// フォントサイズを設定
			.width(wBox)	// 横幅を設定
			.height(hBox)	// 高さを設定
			.append(w).append("x").append(h)	// 文字を追加
			.appendTo("#output");	// 新しい要素を表示
	});
});
