// DOMの準備後に実行する内容
$(function() {
	// ［実行］ボタンを押した時の処理を設定
	$("#execButton").click(function() {
		// 金額を取得
		var price = $("#userText").val();

		// 値を数値にする
		price = parseInt(price);

		// NaNであるか確認
		if (isNaN(price)) {
			// NaNであるので「0」に書き換える。
			price = 0;
			$("#userText").val(price);
		}

		// 表示の分岐
		if (price >= 1000) {
			$("#output").text("1,000円以上なので、送料無料です。");
		} else {
			$("#output").text("1,000円未満なので、送料は200円です。");
		}
	});
});
