// DOMの準備後に実行する内容
$(function() {
	// cookieから訪問回数を取得
	var count = $.cookie("VisitCount");
	if (count === undefined) count = 0;
	count = parseInt(count) + 1;

	// 訪問回数の表示
	$("#output").text(count + "回目の訪問です。");

	// 訪問回数の記録
	$.cookie("VisitCount", count, {expires: 7});

	// ［リセット］ボタンを押した時の処理を設定
	$("#resetButton").click(function() {
		// cookieの削除
		$.removeCookie("VisitCount");

		// 訪問回数の表示
		$("#output").text("訪問回数をリセットしました。");
	});
});
