// DOMの準備後に実行する内容
$(function() {
	// 変数「count」を初期化する
	var count = 0;

	// 定期処理を開始する
	var id = setInterval(function() {
		// 画像を全て非表示にする
		$("#animImg > img").hide();

		// 変数「count」番目の画像だけ表示状態にする
		$("#animImg > img").eq(count).show();

		// 変数「count」を1増やす
		count ++;

		// 変数「count」が3の場合は「0」に戻す
		count = count % 3;
	}, 500);

	// ［停止］ボタンを押した時の処理を設定
	$("#execButton").click(function() {
		// 定期処理を解除
		clearInterval(id);
	});
});
