// DOMの準備後に実行する内容
$(function() {
	// ［実行］ボタンを押した時の処理を設定
	$("#execButton").click(function() {
		// 文字列を取得
		var text = $("#userText").val();

		// トリム
		text = text.trim();

		// 配列に変換
		var arr = text.split("\n");

		// ソート
		arr.sort(function(a, b) {
			// 各要素をカンマ区切りで配列化
			var nameA = a.split(",")[1];
			var nameB = b.split(",")[1];

			// 読みの値を比較
			if (nameA < nameB) return -1;
			if (nameA > nameB) return 1;
			return 0;
		});

		// 配列を結合
		text = arr.join("\n");

		// 文字列を出力
		$("#output").val(text);
	});
});
