// DOMの準備後に実行する内容
$(function() {
	$(".myCanvas").each(function(index) {
		var canvas = $(this).get(0);
		var w = canvas.width;
		var h = canvas.height;
		var c = canvas.getContext("2d");

		$(this).click(function() {
			window.open(this.toDataURL(), "_blank")
		});

		// 背景の作成
		c.fillStyle = "#ffffcc";
		c.fillRect(0, 0, w, h);

		c.fillStyle = "#000000";
		c.font = "24px 'Times New Roman'";
		c.textAlign = "center";
		c.textBaseline = "middle";

		if (index == 0) {
			c.fillRect(0, h * 0.21, w, 1);
			c.fillRect(0, h * 0.25, w, 0.5);

			var y1 = h * 0.25;
			var y2 = h * 0.85;
			var x = w * 0.06;
			var step = w * 0.11;

			for (var i = 0, j = 0; i < 3; i ++) {
				if (i == 0) c.lineJoin = "bevel";
				if (i == 1) c.lineJoin = "round";
				if (i == 2) c.lineJoin = "miter";

				c.globalAlpha = 0.3;
				c.lineWidth = 40;

				c.beginPath();
				c.moveTo(x + step * (i * 3 + 0), y2);
				c.lineTo(x + step * (i * 3 + 1), y1);
				c.lineTo(x + step * (i * 3 + 2), y2);
				c.stroke();

				c.beginPath();
				c.moveTo(x + step * (i * 3 + 0), y2);
				c.lineTo(x + step * (i * 3 + 1), y1);
				c.stroke();

				c.beginPath();
				c.moveTo(x + step * (i * 3 + 1), y1);
				c.lineTo(x + step * (i * 3 + 2), y2);
				c.stroke();

				c.globalAlpha = 1;
				c.lineWidth = 2;

				c.beginPath();
				c.moveTo(x + step * (i * 3 + 0), y2);
				c.lineTo(x + step * (i * 3 + 1), y1);
				c.lineTo(x + step * (i * 3 + 2), y2);
				c.stroke();

				c.beginPath();
				c.moveTo(x + step * (i * 3 + 0), y2);
				c.lineTo(x + step * (i * 3 + 1), y1);
				c.stroke();

				c.beginPath();
				c.moveTo(x + step * (i * 3 + 1), y1);
				c.lineTo(x + step * (i * 3 + 2), y2);
				c.stroke();

				c.fillText(c.lineJoin, x + step * (i * 3 + 1), y2);
			}
		}
		if (index == 1) {
			c.fillRect(0, h * 0.17, w, 1);
			c.fillRect(0, h * 0.25, w, 0.5);

			var y1 = h * 0.25;
			var y2 = h * 0.7;
			var y3 = h * 0.85;
			var x = w * 0.17;
			var step = w * 0.33;

			for (var i = 0, j = 0; i < 3; i ++) {
				if (i == 0) c.lineCap = "butt";
				if (i == 1) c.lineCap = "round";
				if (i == 2) c.lineCap = "square";

				c.globalAlpha = 0.6;
				c.lineWidth = 40;

				c.beginPath();
				c.moveTo(x + step * i, y2);
				c.lineTo(x + step * i, y1);
				c.stroke();

				c.globalAlpha = 1;
				c.lineWidth = 2;

				c.beginPath();
				c.moveTo(x + step * i, y2);
				c.lineTo(x + step * i, y1);
				c.stroke();

				c.fillText(c.lineCap, x + step * i, y3);
			}
		}
	});
});
