// DOMの準備後に実行する内容
$(function() {
	// 動的に追加
	var myV = $("<video>").attr("id", "myVideo").width(640).height(360)
		.prop("controls", true)
		.append('<source src="video/test.webm">')
		.append('<source src="video/test.mp4">')
		.append('<source src="video/test.ogv">').appendTo("body");

	// 準備できたら再生するイベントの設定
	myV.get(0).addEventListener("canplaythrough", function() { 
		myV.get(0).play();
	});
});
